### Function

# Dex socket_address_enumerator_next

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_socket_address_enumerator_next (
      GSocketAddressEnumerator* enumerator
    )

#### Description [src]

Wraps `g_socket_address_enumerator_next_async()`.

Available since: 1.2

#### Parameters

`enumerator`

  Type: `GSocketAddressEnumerator`

  A `GSocketAddressEnumerator`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GSocketAddress`, `NULL` at the end of the enumeration, or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.